Index: unk/gsdl/perllib/textcat/in-iso_8859_1.lm
===================================================================
--- /trunk/gsdl/perllib/textcat/in-iso_8859_1.lm	(revision 3145)
+++ 	(revision )
@@ -1,400 +1,0 @@
-_	 19406
-a	 10666
-n	 5455
-e	 4535
-i	 4387
-r	 2936
-t	 2902
-an	 2853
-u	 2841
-k	 2761
-s	 2311
-m	 2178
-d	 2134
-g	 2105
-l	 1780
-a_	 1506
-n_	 1476
-ng	 1449
-p	 1397
-b	 1275
-an_	 1270
-o	 1246
-h	 1130
-i_	 1108
-er	 1038
-ka	 1032
-_d	 1006
-y	 997
-,	 951
-en	 941
-ar	 914
-,_	 900
-_m	 880
-ya	 842
-ta	 838
-ang	 797
-di	 787
-da	 773
-.	 754
-la	 742
-._	 738
-me	 732
-ak	 728
-_s	 718
-at	 690
-ra	 688
-ga	 683
-_k	 671
-_me	 650
-in	 628
-ah	 601
-_t	 583
-_p	 570
-g_	 551
-_b	 551
-_di	 548
-ng_	 544
-ma	 536
-se	 526
-tu	 511
-na	 506
-al	 500
-ri	 490
-as	 483
-k_	 482
-j	 480
-si	 470
-ny	 467
-h_	 457
-sa	 452
-ang_	 439
-it	 424
-kan	 423
-ti	 418
-_se	 417
-pe	 412
-S	 409
-ba	 407
-ke	 407
-em	 405
-men	 405
-be	 403
-un	 401
-te	 401
-am	 396
-pa	 395
-nya	 390
-_men	 374
-el	 374
-t_	 371
-_a	 360
-_i	 356
-u_	 355
-kan_	 345
-_ke	 339
-is	 335
-ah_	 324
-_S	 324
-eng	 321
-nga	 320
-ia	 318
-_pe	 316
-ha	 313
-ap	 311
-r_	 308
-w	 305
-li	 301
-_da	 300
-s_	 299
-P	 296
-nd	 290
-_be	 287
-ik	 283
-ja	 281
-yan	 281
-ad	 275
-ek	 273
-uk	 272
-di_	 270
-bu	 269
-ya_	 268
-yang	 268
-ak_	 266
-ber	 265
-_y	 265
-_ya	 264
-_P	 263
-ru	 260
-K	 259
-yang_	 256
-_yang	 256
-_yan	 256
-nt	 255
-de	 253
-_te	 250
-wa	 249
-et	 247
-at_	 246
-ara	 245
-gan	 243
-A	 237
-ari	 235
-ala	 230
-itu	 229
-c	 225
-ol	 225
-ni	 225
-us	 225
-dan	 224
-_K	 224
-M	 224
-B	 223
-ata	 222
-ai	 221
-ur	 219
-nya_	 217
-ua	 215
-_ka	 214
-_ber	 210
-eb	 209
-ran	 206
-D	 206
-ela	 206
-_di_	 205
-_l	 204
-ngan	 204
-ter	 203
-re	 201
--	 199
-aka	 198
-l_	 194
-_A	 191
-era	 191
-a,	 191
-e_	 190
-ir	 187
-I	 186
-tan	 185
-_B	 184
-ut	 184
-ku	 183
-a,_	 183
-il	 182
-J	 181
-um	 180
-_it	 180
-_itu	 180
-_ta	 179
-su	 179
-dan_	 177
-es	 177
-on	 177
-or	 177
-_dan	 176
-lu	 174
-_M	 172
-tu_	 172
-_dan_	 172
-enga	 171
-mb	 169
-R	 169
-si_	 168
-per	 168
-gan_	 168
-ngan_	 165
-"	 162
-_ter	 162
-a.	 161
-man	 161
-gk	 160
-a._	 160
-asi	 160
-ngk	 160
-ep	 160
-ag	 159
-ul	 158
-da_	 157
-m_	 155
-du	 155
-ada	 153
-ki	 153
-rt	 150
-mp	 150
-T	 150
-ama	 148
-ing	 148
-na_	 147
-_J	 147
-_D	 145
-ung	 145
-ana	 145
-n,	 144
-ju	 144
-ud	 144
-rin	 143
-gi	 143
-aw	 141
-lah	 138
-lan	 138
-_sa	 136
-ri_	 136
-meng	 136
-_meng	 135
-_ma	 134
-n,_	 134
-awa	 134
-st	 134
-eka	 133
-mi	 133
-mu	 132
-_T	 132
-po	 131
-ge	 131
-ar_	 130
-id	 129
-ko	 129
-le	 128
-_h	 128
-ena	 127
-_j	 126
-emb	 126
-ina	 125
-_r	 124
-itu_	 124
-ay	 123
-ngg	 123
-gg	 123
-rang	 123
-pi	 120
-nan	 120
-_ba	 119
-_la	 119
-apa	 119
-_I	 118
-p_	 118
-bi	 117
-ai_	 117
-ta_	 116
-san	 116
-Ke	 116
-ro	 115
-eri	 114
-kar	 113
-lah_	 113
-_itu_	 112
-aya	 111
-i,	 110
-an,	 110
-ra_	 110
-_per	 110
-im	 110
-ika	 109
-isi	 109
-mem	 109
-tah	 108
-_Ke	 108
-ian	 108
-_mem	 108
-akan	 108
-Se	 108
-to	 107
-ab	 107
-ngka	 106
-rs	 106
-gka	 106
-uk_	 105
-seb	 104
-_de	 104
-pu	 104
-i,_	 104
-ita	 104
-nda	 103
-_ti	 103
-ni_	 103
-ca	 103
-_Se	 103
-ers	 103
-pen	 103
-ini	 102
-an,_	 102
-angk	 101
-uh	 101
-han	 101
-nta	 100
-_in	 99
-f	 99
-nj	 99
-ok	 99
-aga	 99
-_R	 98
-as_	 98
-tr	 98
-mer	 97
-lam	 97
-and	 97
-end	 96
-anga	 96
-ne	 96
-Sa	 96
-ka_	 96
-arin	 95
-gu	 95
-_ha	 94
-Z	 94
-al_	 94
-ga_	 94
-_Z	 93
-_pen	 93
-dar	 93
-Ad	 93
-i._	 93
-ada_	 93
-atan	 93
-tak	 93
-i.	 93
-ia_	 92
-asa	 92
-ap_	 92
-ari_	 92
-kat	 92
-_seb	 92
-_Za	 91
-Za	 91
-den	 91
-n.	 90
-_u	 90
-_Ad	 90
-engan	 89
-ib	 89
-any	 89
-n._	 89
-o_	 89
-Zar	 88
-Zari	 88
-rina	 88
-_Zar	 88
-_Zari	 88
-Zarin	 88
-arina	 88
-ks	 88
-angka	 87
-oli	 87
-eg	 87
-kt	 86
-_Sa	 86
-hu	 85
-ih	 85
-us_	 85
-adi	 85
-om	 85
-eba	 85
-anya	 85
-_bu	 84
-denga	 83
-L	 83
-ed	 83
-dak	 83
-deng	 83
-ma_	 82
-asi_	 82