Index: /trunk/protemix/macros/document.dm
===================================================================
--- /trunk/protemix/macros/document.dm	(revision 3169)
+++ /trunk/protemix/macros/document.dm	(revision 3169)
@@ -0,0 +1,299 @@
+package document
+
+#######################################################################
+# macros set from within the server
+#######################################################################
+
+_imagethispage_ {}
+_httpprevarrow_ {}
+_httpnextarrow_ {}
+_pagetitle_ {}
+_phindclassifier_ {}
+
+#######################################################################
+# page content
+#######################################################################
+
+_content_ {
+<center>
+_navigationbar_
+<p>
+_phindclassifier_
+</center>
+}
+
+_textTitlepage_ {_texticonhtitle_}
+_textCreatorpage_ {_texticonhauth_}
+_textSubjectpage_ {_texticonhsubj_}
+_textTopage_ {_texticonhto_}
+_textFrompage_ {_texticonhfrom_}
+_textSeriespage_ {_texticonhser_}
+_textDatepage_ {_texticonhdate_}
+_textHowtopage_ {_texticonhhow_}
+_textOrganizationpage_ {_texticonhorg_}
+_textBrowsepage_ {_texticonhbrwse_}
+_textPeoplepage_ {_texticonhpeople_}
+_textLanguagepage_ {_texticonhlanguage_}
+_textAcronympage_ {_texticonhacronym_}
+_textPhrasepage_ {_texticonhphrases_}
+_textArtistpage_ {_texticonhartist_}
+_textSourcepage_ {_texticonhsrc_}
+_textKeywordpage_ {_texticonhkw_}
+
+#######################################################################
+# navigation arrows
+#
+#######################################################################
+
+_navarrows_ {<center>
+<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
+<tr><td align=left valign=top>
+_prevarrow_
+</td><td align=right valign=top>
+_nextarrow_
+</td></tr></table>
+</center>
+}
+
+_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
+_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}
+
+_navarrows_ [v=1] {<p>
+_prevarrow_<br>
+_nextarrow_
+}
+
+#######################################################################
+# the goto form
+#######################################################################
+
+_gotoform_ {
+<form name="GotoForm" method="get" action="_gwcgi_">
+<input type=hidden name="e" value="_decodedcompressedoptions_">
+<input type=hidden name="d" value="_cgiargd_">
+<input type=hidden name="cl" value="_cgiargcl_">
+<input type="text" name="gp" size="3" maxlength="4">
+<input type="submit" value="_textgoto_">
+</form>
+}
+
+_textnumpages_ {&nbsp;<i>(_1_ _pages_)</i>}
+_parentarrow_ {}
+
+
+#######################################################################
+# the phind applet
+#
+# The phind applet is only required on phind classifier pages.
+# Consequently, the _phindclassifier_ macro is not usually set.  On screens
+# where it is required, _phindclassifier_ resolves to _phindapplet_, and
+# the following macro is loaded into the web page.
+#######################################################################
+
+_phindapplet_ {
+<APPLET CODEBASE="_httpprefix_/bin/java" CODE="org.nzdl.gsdl.Phind.Phind.class" ARCHIVE="Phind.jar" WIDTH=500 HEIGHT=400>
+  <PARAM NAME=library      VALUE="_gwcgi_?e=_compressedoptions_">
+  <PARAM NAME=phindcgi     VALUE="_gwcgi_?a=phind">
+  <PARAM NAME=collection   VALUE="_cgiargc_">
+  <PARAM NAME=classifier   VALUE="_phindnumber_">
+
+  <PARAM NAME=orientation  VALUE="vertical">
+  <PARAM NAME=depth        VALUE="2">
+  <PARAM NAME=resultorder VALUE="L,l,E,e,D,d">
+
+  <PARAM NAME=backdrop     VALUE="_httpimg_/phindbg1.jpg">
+  <PARAM NAME=fontsize     VALUE="10">
+  <PARAM NAME=blocksize    VALUE="10">
+
+  The Phind java applet.
+</APPLET>
+}
+
+
+#######################################################################
+# icons
+#######################################################################
+
+# title images - there should be one of these for each classification
+# supported by this receptionist
+
+_iconTitlepage_ {<img src="_httpiconhtitle_" width=_widthhtitle_
+height=_heighthtitle_}
+_iconTitlepage_ [v=1] {<h2>_texticonhtitle_</h2>}
+
+_iconListpage_ {<img src="_httpiconhlist_" width=_widthhlist_
+height=_heighthlist_}
+_iconListpage_ [v=1] {<h2>_texticonhlist_</h2>}
+
+_iconCreatorpage_ {<img src="_httpiconhauth_" width=_widthhauth_
+height=_heighthauth_}
+_iconCreatorpage_ [v=1] {<h2>_texticonhauth_</h2>}
+
+_iconSubjectpage_ {<img src="_httpiconhsubj_" width=_widthhsubj_
+height=_heighthsubj_}
+_iconSubjectpage_ [v=1] {<h2>_texticonhsubj_</h2>}
+
+_iconTopage_ {<img src="_httpiconhto_" width=_widthhto_
+height=_heighthto_}
+_iconTopage_ [v=1] {<h2>_texticonhto_</h2>}
+
+_iconFrompage_ {<img src="_httpiconhfrom_" width=_widthhfrom_
+height=_heighthfrom_}
+_iconFrompage_ [v=1] {<h2>_texticonhfrom_</h2>}
+
+_iconSeriespage_ {<img src="_httpiconhser_" width=_widthhser_
+height=_heighthser_}
+_iconSeriespage_ [v=1] {<h2>_texticonhser_</h2>}
+
+_iconDatepage_ {<img src="_httpiconhdate_" width=_widthhdate_
+height=_heighthdate_}
+_iconDatepage_ [v=1] {<h2>_texticonhdate_</h2>}
+
+_iconHowtopage_ {<img src="_httpiconhhow_" width=_widthhhow_
+height=_heighthhow_}
+_iconHowtopage_ [v=1] {<h2>_texticonhhow_</h2>}
+
+_iconTopicpage_ {<img src="_httpiconhtopic_" width=_widthhtopic_
+height=_heighthtopic_}
+_iconTopicpage_ [v=1] {<h2>_texticonhtopic_</h2>}
+
+_iconOrganizationpage_ {<img src="_httpiconhorg_" width=_widthhorg_
+height=_heighthorg_}
+_iconOrganizationpage_ [v=1] {<h2>_texticonhorg_</h2>}
+
+_iconBrowsepage_ {<img src="_httpiconhbrwse_" width=_widthhbrwse_
+height=_heighthbrwse_}
+_iconBrowsepage_ [v=1] {<h2>_texticonhbrwse_</h2>}
+
+_iconPeoplepage_ {<img src="_httpiconhpeople_" width=_widthhpeople_
+height=_heighthpeople_}
+_iconPeoplepage_ [v=1] {<h2>_texticonhpeople_</h2>}
+
+_iconLanguagepage_ {<img src="_httpiconhlanguage_" width=_widthhlanguage_
+height=_heighthlanguage_}
+_iconLanguagepage_ [v=1] {<h2>_texticonhlanguage_</h2>}
+
+_iconAcronympage_ {<img src="_httpiconhacronym_" width=_widthhacronym_
+height=_heighthacronym_}
+_iconAcronympage_ [v=1] {<h2>_texticonhacronym_</h2>}
+
+_iconPhrasepage_ {<img src="_httpiconhphrse_" width=_widthhphrse_
+height=_heighthphrse_}
+_iconPhrasepage_ [v=1] {<h2>_texticonhphrse_</h2>}
+
+_iconArtistpage_ {<img src="_httpiconhartist_" width=_widthhartist_
+height=_heighthartist_}
+_iconArtistpage_ [v=1] {<h2>_texticonhartist_</h2>}
+
+_iconSourcepage_ {<img src="_httpiconhsrc_" width=_widthhsrc_
+height=_heighthsrc_}
+_iconSourcepage_ [v=1] {<h2>_texticonhsrc_</h2>}
+
+_iconKeywordpage_ {<img src="_httpiconhkw_" width=_widthhkw_
+height=_heighthkw_}
+_iconKeywordpage_ [v=1] {<h2>_texticonhkw_</h2>}
+
+
+_iconsmalltext_ {<img src="_httpiconsmtext_" border=0 width=_widthsmtext_ height=_heightsmtext_ alt="_texticonsmalltext_">}
+_iconsmalltext_ [v=1] {<small><b>_texticonsmalltext2_</b></small>}
+
+_iconarrowsmalltext_ {<img src="_httpiconasmtext_" border=0 width=_widthasmtext_ height=_heightasmtext_ alt="_texticonsmalltext_">}
+_iconarrowsmalltext_ [v=1] {<small><b>->_texticonsmalltext2_</b></small>}
+
+_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border=0 width=_widthclsdfldr_ height=_heightclsdfldr_ alt="_texticonclosedfolder_">}
+_iconclosedfolder_ [v=1] {<small><b>_texticonclosedfolder2_</b></small>}
+
+_iconarrowclosedfolder_ {<img src=_httpiconaclsdfdr_" border=0 width=_widthaclsdfdr_ height=_heightaclsdfdr_ alt="_texticonclosedfolder_">}
+_iconarrowclosedfolder_ [v=1] {<small><b>->_texticonclosedfolder2_</b></small>}
+
+_iconopenfolder_ {<img src="_httpiconopenfldr_" border=0 width=_widthopenfldr_ height=_heightopenfldr_ alt="_texticonopenfolder_">}
+_iconopenfolder_ [v=1] {<small><b>_texticonopenfolder2_</b></small>}
+
+_iconarrowopenfolder_ {<img src="_httpiconaopenfdr_" border=0 width=_widthaopenfdr_ height=_heightaopenfdr_ alt="_texticonopenfolder_">}
+_iconarrowopenfolder_ [v=1] {<small><b>->_texticonopenfolder2_</b></small>}
+
+_iconarrowclosedbook_ {<img src="_httpiconabook_" width=_widthabook_ height=_heightabook_ border=0 alt="_texticonclosedbook_">}
+_iconarrowclosedbook_ [v=1] {<small><b>->_texticonclosedbook_: </b></small>}
+
+_iconopenbook_ {<img src="_httpiconopenbook_" width=_widthopenbook_ height=_heightopenbook_ border=0 alt="_texticonopenbook_">}
+_iconopenbook_ [v=1] {<small><b>_texticonopenbook_: </b></small>}
+
+_iconarrowopenbook_ {<img src="_httpiconaopenbk_" width=_widthaopenbk_ height=_heightaopenbk_ border=0 alt="_texticonopenbook_">}
+_iconarrowopenbook_ [v=1] {<small><b>->_texticonopenbook_: </b></small>}
+
+_iconopenbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonopenbookshelf_">}
+_iconopenbookshelf_ [v=1] {<small><b>_texticonopenbookshelf_: </b></small>}
+
+_iconarrowopenbookshelf_ {<img src="_httpiconabshelf_" border=0 width=_widthabshelf_ height=_heightabshelf_ alt="_texticonopenbookshelf_">}
+_iconarrowopenbookshelf_ [v=1] {<small><b>->_texticonopenbookshelf_: </b></small>}
+
+_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonclosedbookshelf_">}
+_iconclosedbookshelf_ [v=1] {<small><b>_texticonclosedbookshelf_: </b></small>}
+
+_iconarrowclosedbookshelf_ {<img src="_httpiconabshelf_" border=0 width=_widthabshelf_ height=_heightabshelf_ alt="_texticonclosedbookshelf_">}
+_iconarrowclosedbookshelf_ [v=1] {<small><b>->_texticonclosedbookshelf_: </b></small>}
+
+_iconpointer_ {<img src="_httpiconarrrght_" border=0 width=_widtharrrght_ height=_heightarrrght_>}
+_iconpointer_ [v=1] {<small><b>_texticonpointer_-> </b></small>}
+
+_icontab_ {<img src="_httpicontabspace_" width=_widthtabspace_ height=_heighttabspace_>}
+_tab_ {<td>_icontab_</td>}
+
+_iconwarning_ {<img src="_httpiconwarning_" width=_widthwarning_ height=_heightwarning_ border=0 align=left>}
+_iconwarning_ [v=1] {_texticonwarning_}
+
+
+#######################################################################
+# images
+#######################################################################
+
+# can't use _gsimage_ macro for detach button as we need to include target
+_imagedetach_ {<a href="_httpcurrentdocument_&x=1" target=\_blank onMouseover="roll('detach',1);" onMouseOut="roll('detach',0);"><img
+name="detach" src="_httpiconedtchof_" onLoad="gbutton(this,'_httpiconedtchon_');" border=0 alt="_texticondetach_"></a>}
+_imagedetach_ [v=1] {<a href="_httpcurrentdocument_&x=1" target=\_blank>_texticondetach_</a><br>}
+
+_imagehighlight_ {_gsimage_(_httpcurrentdocument_&hl=1&gc=_cgiarggc_&amp;gt=_cgiarggt_,_document:httpiconehlof_,_document:httpiconehlon_,hl,_document:texticonhighlight_)}
+
+_imagenohighlight_ {_gsimage_(_httpcurrentdocument_&hl=0&gc=_cgiarggc_&amp;gt=_cgiarggt_,_document:httpiconenhlof_,_document:httpiconenhlon_,nhl,_document:texticonnohighlight_)}
+
+_imagepagepdf_ {_gsimage_(_httpcollection_/index/assoc/_thisOID_/_pagepdf_,_document:httpiconsppdfof_,_document:httpiconsppdfon_,pagepdf,_document:texticonpagepdf_)}
+
+_imagearticlepdf_ {_gsimage_(_httpcollection_/index/assoc/_thisOID_/article.pdf,_document:httpiconapdfof_,_document:httpiconapdfon_,artpdf,_document:texticonartpdf_)}
+
+_imagecontracttoc_ {_gsimage_(_httpcurrentdocument_&gc=0,_document:httpiconeconcof_,_document:httpiconeconcon_,concon,_document:texticoncontracttoc_)}
+
+_imageexpandtoc_ {_gsimage_(_httpcurrentdocument_&gc=1,_document:httpiconeexpcof_,_document:httpiconeexpcon_,expcon,_document:texticonexpandtoc_)}
+
+_imagecontracttext_ {_gsimage_(_httpcurrentdocument_&amp;gt=0,_document:httpiconetsecof_,_document:httpiconetsecon_,thissec,_document:texticoncontracttext_)}
+
+_imageexpandtext_ {_gsimage_(_httpcurrentdocument_&amp;gt=1,_document:httpiconealltof_,_document:httpiconeallton_,alltext,_document:texticonexpandtext_)}
+
+_imagecont_ {_gsimage_(_httpcurrentdocument_&amp;gt=2,_document:httpiconcontoff_,_document:httpiconconton_,cont,_document:texticoncont_)}
+
+
+#######################################################################
+# headers/footers
+#######################################################################
+
+
+# header overridden for text pages
+# the tabspace is there because netscape refuses to let our flashy button
+# javacript stuff work on a button that is the first image in the page
+_textheader_ {_cgihead_
+_htmlhead_
+<center>
+<table width=_pagewidth_><tr><td align=right>
+_icontab__javalinks_</td></tr></table>
+</center>
+}
+_textheader_ [v=1] {_cgihead_
+_htmlhead_
+_javalinks_
+}
+
+_footer_ {
+<p>
+_navarrows_
+</table>
+_endspacer__htmlfooter_
+}