Index: trunk/protemix/etc/collect.cfg
===================================================================
--- trunk/protemix/etc/collect.cfg	(revision 3172)
+++ trunk/protemix/etc/collect.cfg	(revision 3177)
@@ -16,10 +16,13 @@
 
 classify      AZList -metadata Title
+classify      phind
+
+format DocumentHeading "<b>[parent:Title]</b>"
 
 format CL1VList \
-  '<p>[Title]<br><small>\[ [link]HTML</a> \]\[ <a href="_httpcollection_/index/assoc/[archivedir]/[pdf]">PDF</a> \]</small></p>'
+  '<p>[Title]<br><small>\[ [link]text</a> \]\[ <a href="_httpcollection_/index/assoc/[archivedir]/[pdf]">pdf</a> \]</small></p>'
 
 format SearchVList \
-  '<p>[parent:Title] <small><i>(page [Title])</i><br>\[ [link]HTML</a> \]\[ <a href="_httpcollection_/index/assoc/[parent:archivedir]/[pdf]">Single Page PDF</a> \]\[ <a href="_httpcollection_/index/assoc/[parent:archivedir]/[parent:pdf]">Article PDF</a> \]</small></p>'
+  '<p>{If}{[parent:Title],[parent:Title] <small><i>(page [Title])</i>,[Title]}<br>\[ [link]text</a> \]\[ <a href="_httpcollection_/index/assoc/[parent:archivedir]/[pdf]">page</a> \]\[ <a href="_httpcollection_/index/assoc/[parent:archivedir]/[parent:pdf]">article</a> \]</small></p>'
 
 collectionmeta collectionname      "Protemix FDA Submission"
@@ -27,2 +30,3 @@
 
 cgiarg          shortname=a argdefault=q
+cgiarg          shortname=t argdefault=0
Index: trunk/protemix/macros/base.dm
===================================================================
--- trunk/protemix/macros/base.dm	(revision 3172)
+++ trunk/protemix/macros/base.dm	(revision 3177)
@@ -34,20 +34,6 @@
 _imagecollection_ {<img src="_httpcollection_/images/protemixlogo.gif">}
 
-#######################################################################
-# these width macros are read in by the server when calculating 
-# width of navigation bar etc. There should be one for each 
-# classification that this receptionist supports, one for the 
-# search button, and the _pagewidth_ macro which is the total width
-# of the page
-#######################################################################
-
 # width of tabs when displaying tables of contents
 _tabwidth_ {25}
-
-_pagewidth_ {537}
-# defaultwidth is the width buttons default to if not included in this list
-_defaultwidth_ {87}
-_searchwidth_ {_widthtsrchx_}
-_Titlewidth_ {_widthttitlx_}
 
 #######################################################################
@@ -115,20 +101,4 @@
 
 #######################################################################
-# navigation bar images
-#
-#######################################################################
-
-# the spacer image - the width of this is set from server
-_imagespacer_ {<img 
-src="_httpicontspace_" width="_widthtspace_" height="_heighttspace_">}
-
-# image macros for all the classifications currently supported by
-# this receptionist.
-
-_imagesearch_ {_If_("_cgiargu_" ne "1",_imagesearch2_,_iconnosearch_)}
-_imagesearch2_ {_gsimage_(_httpquery_,_httpicontsrchof_,_httpicontsrchon_,srch,_textimagesearch_)}
-_imageTitle_ {_gsimage_(_httpbrowseTitle_,_httpiconttitlof_,_httpiconttitlon_,titles,_textimageTitle_)}
-
-#######################################################################
 # java images/scripts
 #######################################################################
@@ -175,5 +145,5 @@
 _httpbuild_ {_gwcgi_?e=_compressedoptions_&a=bc}
 
-_httpiconchalk_ {_httpimg_/chalk.gif}
+_httpiconchalk_ {_httpcollection_/images/bottombgnd.gif}
 _widthchalk_ {2000}
 _heightchalk_ {10}
@@ -281,9 +251,7 @@
 #######################################################################
 
-_iconnext_{<img src="_httpiconmore_" align=absbottom 
-width=_widthmore_ height=_heightmore_ border=0 alt="_texticonnext_">}
-
-_iconprev_{<img src="_httpiconless_" align=absbottom 
-width=_widthless_ height=_heightless_ border=0 alt="_texticonprev_">}
+_iconnext_{&nbsp;&gt;}
+
+_iconprev_{&lt;&nbsp;}
 
 _icontabsearchgreen_ {<img 
@@ -293,5 +261,5 @@
 src="_httpiconttitlgr_" width=_widthttitlx_ border=0>}
 
-_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_></center>}
+_iconblankbar_ {<center><img src="_httpcollection_/images/bar.gif"></center>}
 
 _icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}
Index: trunk/protemix/macros/document.dm
===================================================================
--- trunk/protemix/macros/document.dm	(revision 3172)
+++ trunk/protemix/macros/document.dm	(revision 3177)
@@ -16,9 +16,9 @@
 
 _content_ {
+<p>
 <center>
-_navigationbar_
-<p>
 _phindclassifier_
 </center>
+</p>
 }
 
@@ -47,5 +47,5 @@
 
 _navarrows_ {<center>
-<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
+<table width="638" cellpadding=0 cellspacing=0 border=0>
 <tr><td align=left valign=top>
 _prevarrow_
@@ -56,6 +56,6 @@
 }
 
-_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
-_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}
+_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">&lt;</a>)}
+_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">&gt;</a>)}
 
 _navarrows_ [v=1] {<p>
@@ -102,5 +102,5 @@
   <PARAM NAME=resultorder VALUE="L,l,E,e,D,d">
 
-  <PARAM NAME=backdrop     VALUE="_httpimg_/phindbg1.jpg">
+  <PARAM NAME=backdrop     VALUE="_httpcollection_/images/phind3.jpg">
   <PARAM NAME=fontsize     VALUE="10">
   <PARAM NAME=blocksize    VALUE="10">
@@ -249,51 +249,31 @@
 
 # can't use _gsimage_ macro for detach button as we need to include target
-_imagedetach_ {<a href="_httpcurrentdocument_&x=1" target=\_blank onMouseover="roll('detach',1);" onMouseOut="roll('detach',0);"><img
-name="detach" src="_httpiconedtchof_" onLoad="gbutton(this,'_httpiconedtchon_');" border=0 alt="_texticondetach_"></a>}
-_imagedetach_ [v=1] {<a href="_httpcurrentdocument_&x=1" target=\_blank>_texticondetach_</a><br>}
-
-_imagehighlight_ {_gsimage_(_httpcurrentdocument_&hl=1&gc=_cgiarggc_&amp;gt=_cgiarggt_,_document:httpiconehlof_,_document:httpiconehlon_,hl,_document:texticonhighlight_)}
-
-_imagenohighlight_ {_gsimage_(_httpcurrentdocument_&hl=0&gc=_cgiarggc_&amp;gt=_cgiarggt_,_document:httpiconenhlof_,_document:httpiconenhlon_,nhl,_document:texticonnohighlight_)}
-
-_imagepagepdf_ {_gsimage_(_httpcollection_/index/assoc/_thisOID_/_pagepdf_,_document:httpiconsppdfof_,_document:httpiconsppdfon_,pagepdf,_document:texticonpagepdf_)}
-
-_imagearticlepdf_ {_gsimage_(_httpcollection_/index/assoc/_thisOID_/article.pdf,_document:httpiconapdfof_,_document:httpiconapdfon_,artpdf,_document:texticonartpdf_)}
-
-_imagecontracttoc_ {_gsimage_(_httpcurrentdocument_&gc=0,_document:httpiconeconcof_,_document:httpiconeconcon_,concon,_document:texticoncontracttoc_)}
-
-_imageexpandtoc_ {_gsimage_(_httpcurrentdocument_&gc=1,_document:httpiconeexpcof_,_document:httpiconeexpcon_,expcon,_document:texticonexpandtoc_)}
-
-_imagecontracttext_ {_gsimage_(_httpcurrentdocument_&amp;gt=0,_document:httpiconetsecof_,_document:httpiconetsecon_,thissec,_document:texticoncontracttext_)}
-
-_imageexpandtext_ {_gsimage_(_httpcurrentdocument_&amp;gt=1,_document:httpiconealltof_,_document:httpiconeallton_,alltext,_document:texticonexpandtext_)}
-
-_imagecont_ {_gsimage_(_httpcurrentdocument_&amp;gt=2,_document:httpiconcontoff_,_document:httpiconconton_,cont,_document:texticoncont_)}
-
-
-#######################################################################
-# headers/footers
-#######################################################################
-
-
-# header overridden for text pages
-# the tabspace is there because netscape refuses to let our flashy button
-# javacript stuff work on a button that is the first image in the page
-_textheader_ {_cgihead_
-_htmlhead_
-<center>
-<table width=_pagewidth_><tr><td align=right>
-_icontab__javalinks_</td></tr></table>
-</center>
-}
-_textheader_ [v=1] {_cgihead_
-_htmlhead_
-_javalinks_
-}
-
-_footer_ {
-<p>
-_navarrows_
-</table>
-_endspacer__htmlfooter_
-}
+_imagedetach_ {<a href="_httpcurrentdocument_&x=1" target=\_blank
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','detach','_httpcollection_/images/detachon.gif','_httpcollection_/images/detachon.gif',1);"
+onClick="MM_nbGroup('down','navbar1','detach','_httpcollection_/images/detachon.gif',1);"><img
+name="detach" src="_httpcollection_/images/detachoff.gif" width="52" height="11" border="0" alt="open this page in a new window"></a>}
+
+_imagehighlight_ {<a href="_httpcurrentdocument_&hl=1&gc=_cgiarggc_&amp;gt=_cgiarggt_"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','hl','_httpcollection_/images/highlighton.gif','_httpcollection_/images/highlighton.gif',1);"
+onClick="MM_nbGroup('down','navbar1','hl','_httpcollection_/images/highlighton.gif',1);"><img
+name="hl" src="_httpcollection_/images/highlightoff.gif" width="92" height="11" border="0" alt="turn on search term highlighting"></a>}
+
+_imagenohighlight_ {<a href="_httpcurrentdocument_&hl=0&gc=_cgiarggc_&amp;gt=_cgiarggt_"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','nhl','_httpcollection_/images/nohighlighton.gif','_httpcollection_/images/nohighlighton.gif',1);"
+onClick="MM_nbGroup('down','navbar1','nhl','_httpcollection_/images/nohighlighton.gif',1);"><img
+name="nhl" src="_httpcollection_/images/nohighlightoff.gif" width="92" height="11" border="0" alt="turn off search term highlighting"></a>}
+
+_imagepagepdf_ {<a href="_httpcollection_/index/assoc/_thisOID_/_pagepdf_"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','ppdf','_httpcollection_/images/pagepdfon.gif','_httpcollection_/images/pagepdfon.gif',1);"
+onClick="MM_nbGroup('down','navbar1','ppdf','_httpcollection_/images/pagepdfon.gif',1);"><img
+name="ppdf" src="_httpcollection_/images/pagepdfoff.gif" width="52" height="11" border="0" alt="view pdf file of this page"></a>}
+
+_imagearticlepdf_ {<a href="_httpcollection_/index/assoc/_thisOID_/article.pdf"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','apdf','_httpcollection_/images/articlepdfon.gif','_httpcollection_/images/articlepdfon.gif',1);"
+onClick="MM_nbGroup('down','navbar1','apdf','_httpcollection_/images/articlepdfon.gif',1);"><img
+name="apdf" src="_httpcollection_/images/articlepdfoff.gif" width="52" height="11" border="0" alt="view pdf file of entire article"></a>}
Index: trunk/protemix/macros/english.dm
===================================================================
--- trunk/protemix/macros/english.dm	(revision 3172)
+++ trunk/protemix/macros/english.dm	(revision 3177)
@@ -155,6 +155,6 @@
 
 ## "DETACH" ## document_button ## edtch ##
-_httpiconedtchof_ {_httpimg_/edtchof.gif}
-_httpiconedtchon_ {_httpimg_/edtchon.gif}
+_httpiconedtchof_ {_httpcollection_/images/detachoff.gif}
+_httpiconedtchon_ {_httpcollection_/images/detachon.gif}
 
 ## "EXPAND CONTENTS" ## document_button ## eexpc ##
Index: trunk/protemix/macros/query.dm
===================================================================
--- trunk/protemix/macros/query.dm	(revision 3172)
+++ trunk/protemix/macros/query.dm	(revision 3177)
@@ -83,14 +83,5 @@
 }
 
-_header_ {_cgihead_
-_htmlhead_(background="_httpiconchalk_" onLoad="initialize();")_startspacer__pagebanner_
-}
-
-_pagetitle_ {}
-
 _content_ {
-<center>
-_navigationbar_
-</center>
 <center>
 _queryform_
@@ -107,47 +98,45 @@
 <input type=hidden name="e" value="_decodedcompressedoptions_">
 <p>
-<table border="0" cellspacing="0" cellpadding="0" width="_pagewidth_">
+<table border="0">
 
-<tr valign="top">
-<td align="center">
-<select name="c1">
-<option value=""_If_(_cgiargc1_,, selected)>Any
-<option value="Animal"_If_("_cgiargc1_" eq "Animal", selected)>Animal
-<option value="Human"_If_("_cgiargc1_" eq "Human", selected)>Human
-<option value="Other"_If_("_cgiargc1_" eq "Other", selected)>Other
+<tr valign="center">
+<td align="right"><b>Type</b></td>
+<td><select name="c1">
+<option value="" _If_(_cgiargc1_,, selected)>Any
+<option value="Animal" _If_("_cgiargc1_" eq "Animal", selected)>Animal
+<option value="Human" _If_("_cgiargc1_" eq "Human", selected)>Human
+<option value="Other" _If_("_cgiargc1_" eq "Other", selected)>Other
 </select>
 </td>
+</tr>
 
-<td align="center">
-<b>AND</b>
-</td>
-
-<td align="center">
+<tr valign="center">
+<td align="right"><b>Category</b></td>
+<td>
 <select name="c2" onChange='initialize()'>
-<option value=""_If_(_cgiargc2_,, selected)>Any
-<option value="Pharmacokinetics"_If_("_cgiargc2_" eq "Pharmacokinetics", selected)>Pharmacokinetics
-<option value="Pharmacodynamics"_If_("_cgiargc2_" eq "Pharmacodynamics", selected)>Pharmacodynamics
-<option value="Safety/Side Effects/Toxicity"_If_("_cgiargc2_" eq "Safety/Side Effects/Toxicity", selected)>Safety/Side Effects/Toxicity
-<option value="Other"_If_("_cgiargc2_" eq "Other", selected)>Other
-<option value="Efficacy"_If_("_cgiargc2_" eq "Efficacy", selected)>Efficacy
-<option value="Contraindications"_If_("_cgiargc2_" eq "Contraindications", selected)>Contraindications
-<option value="Precautions"_If_("_cgiargc2_" eq "Precautions", selected)>Precautions
+<option value="" _If_(_cgiargc2_,, selected)>Any
+<option value="Pharmacokinetics" _If_("_cgiargc2_" eq "Pharmacokinetics", selected)>Pharmacokinetics
+<option value="Pharmacodynamics" _If_("_cgiargc2_" eq "Pharmacodynamics", selected)>Pharmacodynamics
+<option value="Safety/Side Effects/Toxicity" _If_("_cgiargc2_" eq "Safety/Side Effects/Toxicity", selected)>Safety/Side Effects/Toxicity
+<option value="Other" _If_("_cgiargc2_" eq "Other", selected)>Other
+<option value="Efficacy" _If_("_cgiargc2_" eq "Efficacy", selected)>Efficacy
+<option value="Contraindications" _If_("_cgiargc2_" eq "Contraindications", selected)>Contraindications
+<option value="Precautions" _If_("_cgiargc2_" eq "Precautions", selected)>Precautions
 </select>
 </td>
+</tr>
 
-<td align="center">
-<b>AND</b>
-</td>
-
-<td align="center">
+<tr valign="center">
+<td align="right"><b>Sub-Category</b></td>
+<td>
 <select name="c3">
 <option value="">Any
 </select>
 </td>
-
 </tr>
 
-<tr valign="top"><td colspan="5">
-<b>AND</b><br>
+<tr valign="center">
+<td align="right"><b>Search Terms</b></td>
+<td>
 <nobr>
 <input type="text" name="q" value="_cgiargq_" size="40">
@@ -164,8 +153,8 @@
 _pagefooterextra_ {
 <center>
-<table cellspacing=0 cellpadding=0 width=_pagewidth_>
+<table cellspacing=0 cellpadding=0 width="638">
 <tr>
-<td align=left>_If_(_prevfirst_,<a href="_httpquery_&r=_prevfirst_">_iconprev__textmatches__prevfirst_ - _prevlast_</a>)</td>
-<td align=right>_If_(_nextfirst_,<a href="_httpquery_&r=_nextfirst_">_textmatches__nextfirst_ - _nextlast__iconnext_</a>)</td>
+<td align=left>_If_(_prevfirst_,<a href="_httpquery_&r=_prevfirst_">&lt; _textmatches__prevfirst_ - _prevlast_</a>)</td>
+<td align=right>_If_(_nextfirst_,<a href="_httpquery_&r=_nextfirst_">_textmatches__nextfirst_ - _nextlast_ &gt;</a>)</td>
 </tr></table>
 </center>
Index: trunk/protemix/macros/style.dm
===================================================================
--- trunk/protemix/macros/style.dm	(revision 3177)
+++ trunk/protemix/macros/style.dm	(revision 3177)
@@ -0,0 +1,136 @@
+#######################################################################
+# PAGE STYLES 
+#######################################################################
+
+package Style
+
+_pagetitle_ {_collectionname_}
+_pagescriptextra_ {
+function initialize () \{ \}
+}
+_pagebannerextra_ {}
+_pagefooterextra_ {}
+
+_header_ {
+<html>
+<head>
+<script language="JavaScript">
+<!--
+function MM_findObj(n, d) \{
+  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) \{
+    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);\}
+  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
+  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
+\}
+function MM_nbGroup(event, grpName) \{
+  var i,img,nbArr,args=MM_nbGroup.arguments;
+  if (event == "init" && args.length > 2) \{
+    if ((img = MM_findObj(args[2])) != null && !img.MM_init) \{
+      img.MM_init = true; img.MM_up = args[3]; img.MM_dn = img.src;
+      if ((nbArr = document[grpName]) == null) nbArr = document[grpName] = new Array();
+      nbArr[nbArr.length] = img;
+      for (i=4; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) \{
+        if (!img.MM_up) img.MM_up = img.src;
+        img.src = img.MM_dn = args[i+1];
+        nbArr[nbArr.length] = img;
+    \} \}
+  \} else if (event == "over") \{
+    document.MM_nbOver = nbArr = new Array();
+    for (i=1; i < args.length-1; i+=3) if ((img = MM_findObj(args[i])) != null) \{
+      if (!img.MM_up) img.MM_up = img.src;
+      img.src = (img.MM_dn && args[i+2]) ? args[i+2] : args[i+1];
+      nbArr[nbArr.length] = img;
+    \}
+  \} else if (event == "out" ) \{
+    for (i=0; i < document.MM_nbOver.length; i++) \{
+      img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; \}
+  \} else if (event == "down") \{
+    if ((nbArr = document[grpName]) != null)
+      for (i=0; i < nbArr.length; i++) \{ img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; \}
+    document[grpName] = nbArr = new Array();
+    for (i=2; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) \{
+      if (!img.MM_up) img.MM_up = img.src;
+      img.src = img.MM_dn = args[i+1];
+      nbArr[nbArr.length] = img;
+  \} \}
+\}
+function MM_preloadImages() \{
+ var d=document; if(d.images)\{ if(!d.MM_p) d.MM_p=new Array();
+   var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
+   if (a[i].indexOf("#")!=0)\{ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];\} \}
+\}
+_pagescriptextra_
+//  -->
+</SCRIPT>
+</head>
+<body marginwidth=0 topmargin=0 background="_httpiconchalk_" 
+link="#0000ee" text="#000000" 
+onload="MM_preloadImages('_httpcollection_/images/searchon.gif','_httpcollection_/images/titleon.gif'); initialize();"
+vlink="#551a8b" alink="#ff0000" bgcolor="#ffffff" leftmargin=0 marginheight=0>
+
+<table border="0" cellpadding="0" cellspacing="0" width="638" align="center">
+<tr valign="top">
+<td><img src="_httpcollection_/images/shim.gif" width="638" height="29" border="0"></td>
+</tr>
+<tr valign="top">
+<td><table border="0" cellpadding="0" cellspacing="0" width="638">
+
+<tr valign="top">
+<td><img src="_httpcollection_/images/shim.gif" width="384" height="34" border="0"></td>
+<td><img name="protemixlogo" src="_httpcollection_/images/protemixlogo.gif" width="254" height="34" border="0" alt="protemix logo"></td>
+</tr>
+</table></td>
+</tr>
+<tr valign="top">
+<td><img name="bluedots" src="_httpcollection_/images/bluedots.gif" width="638" height="7" border="0"></td>
+</tr>
+
+<tr valign="top">
+<td><table border="0" cellpadding="0" cellspacing="0" width="638">
+<tr valign="top">
+
+<td><img name="greydot1" src="_httpcollection_/images/greydot1.gif" width="26" height="11" border="0"></td>
+
+<td>
+<a href="_httpquery_"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','search','_httpcollection_/images/searchon.gif','_httpcollection_/images/searchon.gif',1);"
+onClick="MM_nbGroup('down','navbar1','search','_httpcollection_/images/searchon.gif',1);"><img
+name="search" src="_httpcollection_/images/searchoff.gif" width="52" height="11" border="0" alt="search"></a>
+</td>
+
+<td><img name="greydot2" src="_httpcollection_/images/greydot2.gif" width="96" height="11" border="0"></td>
+
+<td>
+<a href="_httpdocument_&cl=CL1"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','titles','_httpcollection_/images/titleon.gif','_httpcollection_/images/titleon.gif',1);"
+onClick="MM_nbGroup('down','navbar1','titles','_httpcollection_/images/titleon.gif',1);"><img
+name="titles" src="_httpcollection_/images/titleoff.gif" width="52" height="11" border="0" alt="alphabetical title listing"></a>
+</td>
+
+<td><img name="greydot4" src="_httpcollection_/images/greydot2.gif" width="96" height="11" border="0"></td>
+
+<td>
+<a href="_httpdocument_&cl=CL2"
+onMouseOut="MM_nbGroup('out');"
+onMouseOver="MM_nbGroup('over','phrases','_httpcollection_/images/phraseon.gif','_httpcollection_/images/phrase.gif',1);"
+onClick="MM_nbGroup('down','navbar1','phrases','_httpcollection_/images/phraseon.gif',1);"><img
+name="phrases" src="_httpcollection_/images/phraseoff.gif" width="52" height="11" border="0" alt="phrase browser"></a>
+</td>
+
+<td><img name="greydot5" src="_httpcollection_/images/greydot5.gif" width="25" height="11" border="0"></td>
+
+</tr>
+</table></td>
+</tr>
+</table>
+<div style="margin-left:10; margin-right:10; margin-bottom:10">
+}
+
+_footer_ {
+_pagefooterextra_
+</div>
+</body>
+</html>
+}
Index: trunk/protemix/perllib/plugins/ProtemixPlug.pm
===================================================================
--- trunk/protemix/perllib/plugins/ProtemixPlug.pm	(revision 3172)
+++ trunk/protemix/perllib/plugins/ProtemixPlug.pm	(revision 3177)
@@ -120,9 +120,11 @@
 
 	    # add any section level metadata we have for this page (set from within the meta.xml file)
-	    if (defined ($self->{'section_metadata'}->{$filesuf})) {
-		foreach my $key (keys %{$self->{'section_metadata'}->{$filesuf}}) {
-		    $doc_obj->add_utf8_metadata ($cursection, $key, $self->{'section_metadata'}->{$filesuf}->{$key});
-		}
-	    }
+
+# currently commented out as we're not using Class1, Class2, and Class3 metadata yet
+#	    if (defined ($self->{'section_metadata'}->{$filesuf})) {
+#		foreach my $key (keys %{$self->{'section_metadata'}->{$filesuf}}) {
+#		    $doc_obj->add_utf8_metadata ($cursection, $key, $self->{'section_metadata'}->{$filesuf}->{$key});
+#		}
+#	    }
 
 	    $count ++;
Index: trunk/protemix/src/recpt/browsetools.cpp
===================================================================
--- trunk/protemix/src/recpt/browsetools.cpp	(revision 3172)
+++ trunk/protemix/src/recpt/browsetools.cpp	(revision 3177)
@@ -731,5 +731,5 @@
     textout << "<center>\n";
     textout << outconvert << disp 
-	    << "<p><table width=\"_pagewidth_\" cellpadding=\"0\" cellspacing=\"0\">\n"
+	    << "<p><table width=\"638\" cellpadding=\"0\" cellspacing=\"0\">\n"
 	    << "<tr valign=\"top\">\n"
 	    << "<td>\n";
Index: trunk/protemix/src/recpt/ptmxdocaction.cpp
===================================================================
--- trunk/protemix/src/recpt/ptmxdocaction.cpp	(revision 3172)
+++ trunk/protemix/src/recpt/ptmxdocaction.cpp	(revision 3177)
@@ -39,4 +39,7 @@
   documentaction::define_internal_macros(disp, args, protos, logout);
 
+  // don't want header overridden for protemix collection
+  disp.setmacro ("header", "document", "_Global:header_");
+
   // set _pagepdf_ metadata
 
Index: trunk/protemix/src/recpt/ptmxqueryaction.cpp
===================================================================
--- trunk/protemix/src/recpt/ptmxqueryaction.cpp	(revision 3172)
+++ trunk/protemix/src/recpt/ptmxqueryaction.cpp	(revision 3177)
@@ -110,13 +110,16 @@
 
   if (!args["c1"].empty() && args["c1"] != "Any") {
-    formattedstring = "[" + args["c1"] + "]:CL";
+    //    formattedstring = "[" + args["c1"] + "]:CL";
+    formattedstring = args["c1"];
   }
   if (!args["c2"].empty() && args["c2"] != "Any") {
     if (!formattedstring.empty()) formattedstring += " & ";
-    formattedstring += "[" + args["c2"] + "]:CA";
+    //    formattedstring += "[" + args["c2"] + "]:CA";
+    formattedstring += args["c2"];
   }
   if (!args["c3"].empty() && args["c3"] != "Any") {
     if (!formattedstring.empty()) formattedstring += " & ";
-    formattedstring += "[" + args["c3"] + "]:CS";
+    //    formattedstring += "[" + args["c3"] + "]:CS";
+    formattedstring += args["c3"];
   }
   if (!args["q"].empty()) {