Index: trunk/gsdl/macros/french.dm
===================================================================
--- trunk/gsdl/macros/french.dm	(revision 3258)
+++ trunk/gsdl/macros/french.dm	(revision 3263)
@@ -25,4 +25,13 @@
 documents. Sa derniÃšre mise a jour a Ã©tÃ© faite il y a _about:builddate_
 jours.}
+
+# this is only used by the collector (where the above _collectionextra_
+# macro will always be set to another value)
+_collectorextra_ [l=fr] {
+<p>Cette collection comprend _numdocs_ _If_("_numdocs_" eq
+"1",document,documents), pour un total de _numbytes_.
+<p><a href="_httppagex_(bsummary)">Cliquer ici</a> pour visualiser le
+rapport de construction de cette collection. 
+}
 
 _textimagecollection_ [l=fr] {}
@@ -37,7 +46,9 @@
 _textimageList_ [l=fr]         {Naviguer Ã  travers la liste des documents}
 _textimageCreator_ [l=fr]      {Naviguer Ã  travers la liste alphabÃ©tique des auteurs}
-_textimageSeries_ [l=fr]     {Naviguer Ã  travers les diffÃ©rentes publications}
+_textimageSeries_ [l=fr]       {Naviguer Ã  travers les diffÃ©rentes publications}
 _textimageDate_ [l=fr]         {Naviguer par dates}
-_textimageSubject_ [l=fr]      {Naviguer par catÃ©gorie de sujet}
+_textimageSubject_ [l=fr]      {Naviguer par catÃ©gorie de thÃšme}
+_textimageTo_ [l=fr]           {Naviguer par champ Â«ÃÂ»}
+_textimageFrom_ [l=fr]         {Naviguer par champ Â«DeÂ»}
 _textimageOrganization_ [l=fr] {Naviguer par organisation}
 _textimageHowto_ [l=fr]        {Naviguer en utilisant les rubriques Â«Comment faireÂ»}
@@ -45,4 +56,10 @@
 _textimageBrowse_ [l=fr]       {Naviguer}
 _textimagePeople_ [l=fr]       {Naviguer par liste alphabÃ©tique de personnes}
+_textimageLanguage_ [l=fr]     {Naviguer par langue}
+_textimageAcronym_ [l=fr]      {Naviguer Ã  travers les acronymes}
+_textimagePhrase_ [l=fr]       {Naviguer Ã  travers les groupes de mots}
+_textimageArtist_ [l=fr]       {Naviguer Ã  travers les artistes}
+_textimageSource_ [l=fr]       {Naviguer par noms de fichiers originaux}
+_textimageKeyword_ [l=fr]      {Naviguer par mots-clefs} 
 
 _texticontabsearchgreen_ [l=fr]  {Recherche}
@@ -52,9 +69,12 @@
 _texticontabtitlegreen_ [l=fr]   {Titres A-Z}
 _texticontablistgreen_ [l=fr]    {Listes}
-_texticontabsubjectgreen_ [l=fr] {Sujets}
-_texticontaborggreen_ [l=fr]     {Organisations}
+_texticontabsubjectgreen_ [l=fr] {ThÃšmes}
+_texticontabtogreen_ [l=fr]      {Ã}
+_texticontabfromgreen_ [l=fr]    {De}
+_texticontaborggreen_ [l=fr]     {Organisation}
 _texticontabhowgreen_ [l=fr]     {Comment faire}
 _texticontabtopicgreen_ [l=fr]   {ThÃšmes}
 _texticontabbrwsegreen_ [l=fr]   {Naviguer}
+_texticontabbrowsgreen_ [l=fr]   {Naviguer}
 _texticontabPeoplegreen_ [l=fr]  {Personnes A-Z}
 _texticontabLanguagegreen_ [l=fr] {Langue}
@@ -99,6 +119,16 @@
 _textmonth12_ [l=fr] {dÃ©cembre}
 
+_Document_ [l=fr] {Document}
+_Section_  [l=fr] {Section}
+_Paragraph_  [l=fr] {Paragraphe}
+
 _magazines_ [l=fr] {Magazines}
 
+_nzdlpagefooter_ [l=fr] {<p>_iconblankbar_
+<p><a href="http://www.nzdl.org">Projet de bibliothÃšque numÃ©rique de
+Nouvelle-ZÃ©lande</a>
+<br><a href="http://www.cs.waikato.ac.nz/cs">DÃ©partement d'informatique</a>, 
+<a href="http://www.waikato.ac.nz">UniversitÃ© de Waikato</a>, 
+Nouvelle-ZÃ©lande}
 
 #------------------------------------------------------------
@@ -141,9 +171,21 @@
 _widthtdatex_ [l=fr] {87}
 
-## "sujets" ## nav_bar_button ## tsubj ##
+## "th&egrave;mes" ## nav_bar_button ## tsubj ##
 _httpicontsubjgr_ [l=fr] {_httpimg_/fr/tsubjgr.gif}
 _httpicontsubjon_ [l=fr] {_httpimg_/fr/tsubjon.gif}
 _httpicontsubjof_ [l=fr] {_httpimg_/fr/tsubjof.gif}
 _widthtsubjx_ [l=fr] {87}
+
+## "&agrave;" ## nav_bar_button ## tto ##
+_httpiconttogr_ [l=fr] {_httpimg_/ttogr.gif}
+_httpiconttoon_ [l=fr] {_httpimg_/ttoon.gif}
+_httpiconttoof_ [l=fr] {_httpimg_/ttoof.gif}
+_widthttox_ [l=fr] {87}
+
+## "de" ## nav_bar_button ## tfrom ##
+_httpicontfromgr_ [l=fr] {_httpimg_/tfromgr.gif}
+_httpicontfromon_ [l=fr] {_httpimg_/tfromon.gif}
+_httpicontfromof_ [l=fr] {_httpimg_/tfromof.gif}
+_widthtfromx_ [l=fr] {87}
 
 ## "organisation" ## nav_bar_button ## torg ##
@@ -171,4 +213,10 @@
 _widthtbrwsex_ [l=fr] {87}
 
+## "naviguer-m&eacute;ta" ## nav_bar_button ## tbrwse like above ##
+_httpicontbrowsgr_ [l=fr] {_httpimg_/tbrwsegr.gif}
+_httpicontbrowson_ [l=fr] {_httpimg_/tbrwseon.gif}
+_httpicontbrowsof_ [l=fr] {_httpimg_/tbrwseof.gif}
+_widthtbrowsx_ [l=fr] {87}
+
 ## "recherche" ## nav_bar_button ## tsrch ##
 _httpicontsrchgr_ [l=fr] {_httpimg_/fr/tsrchgr.gif}
@@ -189,4 +237,39 @@
 _widthtpeopx_ [l=fr] {87}
 
+## "langue" ## nav_bar_button ## tlang ##
+_httpicontlanggr_ [l=fr] {_httpimg_/tlanggr.gif}
+_httpicontlangon_ [l=fr] {_httpimg_/tlangon.gif}
+_httpicontlangof_ [l=fr] {_httpimg_/tlangof.gif}
+_widthtlangx_ [l=fr] {87}
+
+## "acronyme" ## nav_bar_button ## tacro ##
+_httpicontacrogr_ [l=fr] {_httpimg_/tacrogr.gif}
+_httpicontacroof_ [l=fr] {_httpimg_/tacroof.gif}
+_httpicontacroon_ [l=fr] {_httpimg_/tacroon.gif}
+_widthtacrox_ [l=fr] {87}
+
+## "groupes de mots" ## nav_bar_button ## tphrse ##
+_httpicontphrsegr_ [l=fr] {_httpimg_/tphrsegr.gif}
+_httpicontphrseof_ [l=fr] {_httpimg_/tphrseof.gif}
+_httpicontphrseon_ [l=fr] {_httpimg_/tphrseon.gif}
+_widthtphrsex_ [l=fr] {87}
+
+## "artistes" ## nav_bar_button ## tartst ##
+_httpicontartstgr_ [l=fr] {_httpimg_/tartstgr.gif}
+_httpicontartstof_ [l=fr] {_httpimg_/tartstof.gif}
+_httpicontartston_ [l=fr] {_httpimg_/tartston.gif}
+_widthtartstx_ [l=fr] {87}
+
+## "noms de fichiers" ## nav_bar_button ## tsrc ##
+_httpicontsrcgr_ [l=fr] {_httpimg_/tsrcgr.gif}
+_httpicontsrcof_ [l=fr] {_httpimg_/tsrcof.gif}
+_httpicontsrcon_ [l=fr] {_httpimg_/tsrcon.gif}
+_widthtsrcx_ [l=fr] {87} 
+
+## "mots-clefs" ## nav_bar_button ## tkw ##
+_httpicontkwgr_ [l=fr] {_httpimg_/tkwgr.gif}
+_httpicontkwof_ [l=fr] {_httpimg_/tkwof.gif}
+_httpicontkwon_ [l=fr] {_httpimg_/tkwon.gif}
+_widthtkwx_ [l=fr] {87}
 
 ######################################################################
@@ -233,5 +316,7 @@
 _texticonhtitle_ [l=fr]  {Titres A-Z}
 _texticonhauth_ [l=fr]   {Auteurs A-Z}
-_texticonhsubj_ [l=fr]   {Sujets}
+_texticonhsubj_ [l=fr]   {ThÃšmes}
+_texticonhto_ [l=fr]     {Ã}
+_texticonhfrom_ [l=fr]   {De}
 _texticonhser_ [l=fr]    {SÃ©ries}
 _texticonhdate_ [l=fr]   {Dates}
@@ -239,4 +324,5 @@
 _texticonhorg_ [l=fr]    {Organisations}
 _texticonhbrwse_ [l=fr]  {Naviguer}
+_texticonhbrows_ [l=fr]  {Naviguer}
 _texticonhpeople_ [l=fr] {Personnes A-Z}
 _texticonhlanguage_ [l=fr] {Langues}
@@ -292,6 +378,7 @@
 _httpiconhauth_ [l=fr] {_httpimg_/fr/h\_auth.gif}
 _widthhauth_ [l=fr] {200}
-
-## "sujets" ## green_title ## h_subj ##
+_heighthauth_ [l=fr] {57}
+
+## "th&egrave;mes" ## green_title ## h_subj ##
 _httpiconhsubj_ [l=fr] {_httpimg_/fr/h\_subj.gif}
 _widthhsubj_ [l=fr] {200}
@@ -303,4 +390,24 @@
 _heighthser_ [l=fr] {57}
 
+## "comment faire" ## green_title ## h_how ##
+_httpiconhhow_ [l=fr] {_httpimg_/fr/h\_how.gif}
+_widthhhow_ [l=fr] {200}
+_heighthhow_ [l=fr] {57}
+
+## "&agrave;" ## green_title ## h_to ##
+_httpiconhto_ [l=fr] {_httpimg_/h\_to.gif}
+_widthhto_ [l=fr] {200}
+_heighthto_ [l=fr] {57}
+
+## "de" ## green_title ## h_from ##
+_httpiconhfrom_ [l=fr] {_httpimg_/h\_from.gif}
+_widthhfrom_ [l=fr] {200}
+_heighthfrom_ [l=fr] {57}
+
+## "th&egrave;mes" ## green_title ## h_topic ##
+_httpiconhtopic_ [l=fr] {_httpimg_/fr/h\_topic.gif}
+_widthhtopic_ [l=fr] {200}
+_heighthtopic_ [l=fr] {57}
+
 ## "dates" ## green_title ## h_date ##
 _httpiconhdate_ [l=fr] {_httpimg_/fr/h\_date.gif}
@@ -308,14 +415,4 @@
 _heighthdate_ [l=fr] {57}
 
-## "comment faire" ## green_title ## h_how ##
-_httpiconhhow_ [l=fr] {_httpimg_/fr/h\_how.gif}
-_widthhhow_ [l=fr] {200}
-_heighthhow_ [l=fr] {57}
-
-## "th&egrave;mes" ## green_title ## h_topic ##
-_httpiconhtopic_ [l=fr] {_httpimg_/fr/h\_topic.gif}
-_widthhtopic_ [l=fr] {200}
-_heighthtopic_ [l=fr] {57}
-
 ## "organisation" ## green_title ## h_org ##
 _httpiconhorg_ [l=fr] {_httpimg_/fr/h\_org.gif}
@@ -328,8 +425,43 @@
 _heighthbrwse_ [l=fr] {57}
 
+## "naviguer-m&eacute;" ## green_title ## h_brwse ##
+_httpiconhbrows_ [l=fr] {_httpimg_/h\_brwse.gif}
+_widthhbrows_ [l=fr] {200}
+_heighthbrows_ [l=fr] {57}
+
 ## "personnes" ## green_title ## h_people ##
 _httpiconhpeople_ [l=fr] {_httpimg_/fr/h\_people.gif}
 _widthhpeople_ [l=fr] {200}
 _heighthpeople_ [l=fr] {57}
+
+## "langues" ## green_title ## h_lang ##
+_httpiconhlanguage_ [l=fr] {_httpimg_/h\_lang.gif}
+_widthhlanguage_ [l=fr] {200}
+_heighthlanguage_ [l=fr] {57}
+
+## "acronymes" ## green_title ## h_acro ##
+_httpiconhacronym_ [l=fr] {_httpimg_/h\_acro.gif}
+_widthhacronym_ [l=fr] {200}
+_heighthacronym_ [l=fr] {57}
+
+## "groupes de mots" ## green_title ## h_phrse ##
+_httpiconhphrse_ [l=fr] {_httpimg_/h\_phrse.gif}
+_widthhphrse_ [l=fr] {200}
+_heighthphrse_ [l=fr] {57}
+
+## "artistes" ## green_title ## h_artist ##
+_httpiconhartist_ [l=fr] {_httpimg_/h\_artist.gif}
+_widthhartist_ [l=fr] {200}
+_heighthartist_ [l=fr] {57}
+
+## "noms de fichiers" ## green_title ## h_src ##
+_httpiconhsrc_ [l=fr] {_httpimg_/h\_src.gif}
+_widthhsrc_ [l=fr] {200}
+_heighthsrc_ [l=fr] {57}
+
+## "mots-clefs" ## green_title ## h_kw ##
+_httpiconhkw_ [l=fr] {_httpimg_/h\_kw.gif}
+_widthhkw_ [l=fr] {200}
+_heighthkw_ [l=fr] {57}
 
 ## "CONTINUER ?" ## top_nav_button ## cont ##
@@ -385,7 +517,13 @@
 _textsome_ [l=fr]                {_If_(_cgiargb_,ranked,quelques uns des)}
 _textall_ [l=fr]                 {_If_(_cgiargb_,booleen,tous les)}
+_textformsome_ [l=fr] {_If_(_cgiargb_,ranked,quelques)}
+_textformall_ [l=fr] {_If_(_cgiargb_,natural,tous)}
 _texticonqueryresultsbar_ [l=fr] {}
-_textfreqmsg1_ [l=fr]            {Nombre de mots: }
-_textpostprocess_ [l=fr]         {_If_(_quotedquery_,<br><i>post-traitÃ©s Ã  retrouver _quotedquery_</i>
+_texticonsearchhistorybar_ [l=fr] {historique de la recherche}
+
+#alt text for query buttons
+_textusequery_ [l=fr]    {utiliser cette requÃªte}
+_textfreqmsg1_ [l=fr]    {Nombre de mots: }
+_textpostprocess_ [l=fr] {_If_(_quotedquery_,<br><i>post-traitÃ©s Ã  retrouver _quotedquery_</i>
 )}
 
@@ -397,4 +535,18 @@
 _textmatches_ [l=fr]     {RÃ©sultats }
 _textbeginsearch_ [l=fr] {DÃ©marrer la recherche}
+_textrunquery_ [l=fr]    {ExÃ©cuter la requÃªte}
+_textclearform_ [l=fr]   {Effacer le formulaire}
+
+#these go together in form search:
+#"Word or phrase  (fold, stem)  ... in field"
+_textwordphrase_ [l=fr] {Mot ou groupe de mots} 
+_textinfield_ [l=fr] {... dans le champ}
+_textfoldstem_ [l=fr] {(casse, fin des mots)}
+
+_textadvquery_ [l=fr] {Ou tapez une requÃªte directement:}
+_textallfields_ [l=fr] {Tous les champs}
+_textand_ [l=fr] {et}
+_textor_ [l=fr] {ou}
+_textandnot_ [l=fr] {et pas}
 
 _textsimplesearch_ [l=fr] {Rechercher des _If_(_hselection_,
@@ -406,7 +558,44 @@
 _nselection_ language) en utilisant _querytypeselection_ requÃªte}
 
+_textformsimplesearch_ [l=fr] {Rechercher des _If_(_hselection_,
+_hselection_) _If_(_jselection_, _textjselect_) _If_(_gselection_, at
+_gselection_ level) _If_(_nselection_, in _nselection_ language)
+contenant _formquerytypeselection_}
+
+_textformadvancedsearch_ [l=fr] {Rechercher _If_(_hselection_,
+_hselection_, _defaultindextext_) _If_(_jselection_,_textjselect_)
+_If_(_gselection_, at _gselection_ level)_If_(_nselection_, in
+_nselection_ language) et afficher les rÃ©sultats dans l'ordre
+_formquerytypeselection_}
+
 _textjselect_ [l=fr] {_If_(_hselection_, of) _jselection_}
+_textdatesearch_ [l=fr] {On peut effectuer des recherches de documents compris
+dans un certain intervalle de dates, ou des documents comprenant une
+date particuliÃšre. C'est une fonctionnalitÃ© facultative de la
+recherche.}
+_textstartdate_ [l=fr] {Date de dÃ©but (ou unique):}
+_textenddate_ [l=fr] {Date de fin:}
+_textbc_ [l=fr] {avant notre Ãšre}
+_textad_ [l=fr] {de notre Ãšre}
+_textexplaineras_ [l=fr] {Â«avant notre ÃšreÂ» et Â«de notre ÃšreÂ» sont une autre
+faÃ§on d'exprimer respectivement, Â«av. J.-C.Â» et Â«ap. J.-C.Â». Ce sont des
+termes moins marquÃ©s culturellement. }
 
 _textstemon_ [l=fr]  { (ignorer la fin des mots)}
+
+_textsearchhistory_ [l=fr] {Recherche dans l'historique}
+
+#text macros for search history
+_textnohistory_ [l=fr] {Historique de recherche non disponible}
+_texthresult_ [l=fr] {rÃ©sultat}
+_texthresults_ [l=fr] {rÃ©sultats}
+_texthallwords_ [l=fr] {tous les mots}
+_texthsomewords_ [l=fr] {quelques mots}
+_texthboolean_ [l=fr] {boolÃ©en}
+_texthranked_ [l=fr] {avec score}
+_texthcaseon_ [l=fr] {la casse doit correspondre}
+_texthcaseoff_ [l=fr] {ne pas tenir compte de la casse}
+_texthstemon_ [l=fr] {racines des mots}
+_texthstemoff_ [l=fr] {totalitÃ© des mots}
 
 
@@ -425,10 +614,13 @@
 _heightqryresb_ [l=fr] {17}
 
+## "historique" ## green_bar_left_aligned ## schhistb ##
+_httpiconsrchhistb_ [l=fr] {_httpimg_/schhistb.gif}
+_widthsrchhistb_ [l=fr] {_pagewidth_}
+_heightsrchhistb_ [l=fr] {17}
+
 ## "affichage" ## hand_made ##
 _httpicondisplay_ [l=fr] {_httpimg_/display.gif}
 _widthdisplay_ [l=fr] {60}
 _heightdisplay_ [l=fr] {20}
-
-
 
 ######################################################################
@@ -485,4 +677,17 @@
 <br>}
 
+_textrelateddocdisplay_ [l=fr] {Affiche les documents proches}
+
+_texttypesearch_ [l=fr] {Type de recherche:}
+_texttextsearch_ [l=fr] {recherche de texte}
+_textformsearch_ [l=fr] {recherche de formulaire}
+_textformtype_ [l=fr] {Type de formulaires:}
+_textsimple_ [l=fr] { simple}
+_textadvanced_ [l=fr] { avancÃ©}
+
+# used in "with 4 fields" in the form search box
+_textwith_ [l=fr] {avec}
+_textfields_ [l=fr] {champs}
+
 _textquerymode_ [l=fr]         {Mode de recherche:}
 _textsearchhistory_ [l=fr]     {Rechercher l'historique}
@@ -507,4 +712,24 @@
 _heighthpref_ [l=fr] {57}
 
+#####################################################################
+# 'browse' package for the dynamic browsing interface
+package browse
+#####################################################################
+
+_textsortby_ [l=fr]      {Trier les documents par}
+_textalsoshowing_ [l=fr] {comprenant Ã©galement}
+_textwith_ [l=fr]        {comprenant au plus}
+_textdocsperpage_ [l=fr] {documents par page}
+
+_textfilterby_ [l=fr]    {Obtenir les documents contenant}
+_textall_ [l=fr]         {tous les}
+_textany_ [l=fr]         {certains des}
+_textwords_ [l=fr]       {mots}
+_textleaveblank_ [l=fr]  {laisser cette boÃ®te vide pour obtenir tous les documents}
+
+_browsebuttontext_ [l=fr] {"Trier les documents"}
+
+_nodata_ [l=fr]          {<i>pas de donnÃ©es</i>}
+_docs_ [l=fr]            {documents}
 
 ######################################################################
@@ -523,5 +748,7 @@
 _textSeriesshort_ [l=fr]       {AccÃšs aux publications par sÃ©rie}
 _textDateshort_ [l=fr]         {AccÃšs aux publications par date}
-_textSubjectshort_ [l=fr]      {AccÃšs aux publications par sujet}
+_textSubjectshort_ [l=fr]      {AccÃšs aux publications par thÃšme}
+_textToshort_ [l=fr]           {AccÃšs aux publications par champ Â«ÃÂ»}
+_textFromshort_ [l=fr]         {AccÃšs aux publications par champ Â«DeÂ»}
 _textTitleshort_ [l=fr]        {AccÃšs aux publications par titre}
 _textBrowseshort_ [l=fr]       {Naviguer Ã  travers les publications}
@@ -531,6 +758,12 @@
 _textTopicshort_ [l=fr]        {AccÃšs aux publications par thÃšme}
 _textPeopleshort_ [l=fr]       {AccÃšs aux publications par personne}
+_textLanguageshort_ [l=fr]     {AccÃšs aux publications par langue}
+_textAcronymshort_ [l=fr]      {AccÃšs aux publications par occurrences d'acronymes}
+_textPhraseshort_ [l=fr]       {Naviguer dans les groupes de mots
+  apparaissant dans les publications}
+_textArtistshort_ [l=fr]       {AccÃšs aux publications par artiste}
+_textSourceshort_ [l=fr]       {AccÃšs aux publications par nom de fichier}
+_textKeywordshort_ [l=fr]      {AccÃšs aux publications par mot-clef}
 _textdefaultshorttext_ [l=fr]  {Classification non dÃ©finie}
-
 
 _textSearchlong_ [l=fr] { <p>Vous pouvez <i>rechercher certains mots</i>
@@ -562,6 +795,14 @@
 
 _textSubjectlong_ [l=fr] { <p>Vous pouvez avoir <i>accÃšs aux
-publications par sujet</i> en cliquant sur le bouton <i>Sujets</i>. Ceci
-affichera une liste de sujets, reprÃ©sentÃ©e par rayons de livres.  }
+publications par thÃšme</i> en cliquant sur le bouton <i>ThÃšmes</i>. Ceci
+affichera une liste de thÃšmes, reprÃ©sentÃ©e par rayons de livres.  }
+
+_textTolong_ [l=fr] { <p>Vous pouvez avoir <i>accÃšs aux publications par champ
+Â«ÃÂ»</i> en cliquant sur le bouton <i>Ã </i> button.  Ceci affichera une
+liste de rÃ©cipiendaires. }
+
+_textFromlong_ [l=fr] { <p>Vous pouvez avoir <i>accÃšs aux publications par
+champ Â«DeÂ»</i> en cliquant sur le bouton <i>de</i>. Ceci affichera une
+liste d'expÃ©diteurs. .  }
 
 _textSerieslong_ [l=fr] { <p>Vous pouvez avoir<i>accÃšs aux publications
@@ -580,5 +821,34 @@
 publications par personne</i> en cliquant sur le bouton <i>Personnes
 a-z</i>. Ceci affichera une liste d'entrÃ©es, triÃ©es par nom de
-famille.  }
+famille. }
+
+_textLanguagelong_ [l=fr] { <p>Vous pouvez avoir <i>accÃšs aux
+publications par langue</i> en cliquant sur le bouton
+<i>langues</i> button. Ceci affichera une liste d'entrÃ©es, triÃ©es par
+langue.  }
+
+_textAcronymlong_ [l=fr] { <p>Vous pouvez avoir <i>accÃšs aux publications par
+occurrences d'acronymes</i> en cliquant sur le bouton 
+<i>acronymes</i> button. Ceci affichera une liste des acronymes et des
+endroits oÃ¹ ils interviennent. } 
+
+#TODO check what is this phind thing?
+
+_textPhraselong_ [l=fr] { <p>Vous pouvez <i>naviguer dans les groupes de
+mots apparaissant dans les publications</i> en cliquant sur le bouton
+<i>groupes de mots</i>. Ceci utilisera le navigateur de groupes de mots
+phind.  }
+
+_textArtistlong_ [l=fr] { <p>Vous pouvez <i>accÃ©der aux publications par
+artiste</i> en cliquant sur le bouton <i>artistes</i>. Ceci affichera
+une liste d'entrÃ©es, triÃ©es par nom d'artiste. }
+
+_textSourcelong_ [l=fr] { <p>Vous pouvez <i>accÃ©der aux publications par 
+nom de fichier</i> en cliquant sur le bouton <i>noms de fichiers</i>.
+Ceci affichera une liste d'entrÃ©es, triÃ©es par nom de fichier original.  }
+
+_textKeywordlong_ [l=fr] { <p>Vous pouvez <i>accÃ©der aux publications
+par mot-clef</i> en cliquant sur le bouton <i>mots-clefs</i>. Ceci
+affichera une liste de mots-clefs. }
 
 _textdefaultlongtext_ [l=fr] { <p>Cliquez sur le bouton <i>Inconnu</i>
@@ -716,5 +986,5 @@
 <tr>
   <td colspan=2><img src="_httpiconitext_" border="0"></td>
-  <td>Afficher cette patie de texte</td>
+  <td>Afficher cette partie de texte</td>
 </tr>
 <tr>
@@ -873,4 +1143,60 @@
 _texthelpscope_
 
+}
+
+_textdatesearch_ [l=fr] {Rechercher des dates}
+
+_texthelpdatesearch_ [l=fr] {<h2>_textdatesearch_</h2>
+
+La recherche par date vous permet de trouver des documents qui non
+seulement remplissent vos critÃšres de recherche, mais traitent aussi
+d'Ã©vÃ©nements situÃ©s dans un intervale temporel particulier. Vous pouvez
+rechercher des documents d'une annÃ©e particuliÃšre ou compris dans un
+intervalle particulier d'annÃ©es. Remarquez qu'il n'est pas nÃ©cessaire de
+fournir des critÃšres de recherche: on peut se contenter d'une recherche
+par date. De mÃªme, il n'est pas nÃ©cessaire d'utiliser des dates dans la
+recherche: si vous ne prÃ©cisez aucune date tout se dÃ©roule comme si la
+recherche par dates n'existait pas.<p>
+
+<p>_iconblankbar_
+<a name=datesearch-howto>
+<h3>Comment utiliser cette fonctionnalitÃ©:</h3>
+<ul>
+   <li>Pour rechercher des documents traitant d'une annÃ©e prÃ©cise:<p>
+   <ul>
+       <li>Tapez les critÃšres de recherche comme vous le faites habituellement.
+       <li>Tapez l'annÃ©e souhaitÃ©e dans la boÃ®te "Date de dÃ©but (ou unique)".
+       <li>Si votre date est antÃ©rieure Ã  notre Ãšre (avant
+           JÃ©sus-Christ), choisissez l'option Â«avant notre ÃšreÂ» dans le menu dÃ©roulant
+           situÃ© prÃšs de cette boÃ®te.
+       <li>DÃ©marrez la recherche comme vous le faites habituellement.
+   </ul>
+<p><li>Pour rechercher des documents couvrant une pÃ©riode ou un intervalle d'annÃ©es:<p>
+   <ul>
+       <li>Tapez les critÃšres de recherche comme vous le faites habituellement.
+       <li>Tapez l'annÃ©e de dÃ©but dans la boÃ®te "Date de dÃ©but (ou unique)".
+       <li>Tapez l'annÃ©e de fin dans la boÃ®te "Date de fin".
+       <li>SÃ©lectionez l'option Â«avant notre ÃšreÂ» dans le menu dÃ©roulant situÃ©
+           prÃšs de la boÃ®te de saisie pour toute date antÃ©rieure Ã  notre Ãšre (avant
+           JÃ©sus-Christ).
+       <li>DÃ©marrez la recherche comme vous le faites habituellement.
+   </ul>    
+</ul><p>
+
+<p>_iconblankbar_
+<a name=datesearch-results>
+<h3>Fonctionnement de cette recherche</h3>
+
+De maniÃšre gÃ©nÃ©rale, une recherche de documents traitant de l'an 1903 ne
+renverra pas des documents qui rÃ©fÃ©rencent des livres Ã©crits en 1903,
+mais uniquement des documents traitant de l'an 1903. Cependant, Ã©tant
+donnÃ©e la maniÃšre dont les dates des documents sont recherchÃ©es, cela
+renverra les documents dans un intervalle d'annÃ©es (comme par exemple
+1899-1911) incluant 1903, ainsi que les documents citant dans leur texte
+le siÃšcle auquel l'annÃ©e 1903 appartient (par exemple, le XXÃšme siÃšcle,
+ou le vingtiÃšme siÃšcle). Cela signifie que pour certains documents, les
+dates spÃ©cifiÃ©es dans la recherche n'apparaÃ®tront pas effectivement dans
+le texte du document. Pour une recherche par intervalles, tout ce qui
+prÃ©cÃšde s'applique Ã  toutes les dates de l'intervalle.<p>
 }
 